Hanzo
API Reference

Hanzo Auto API

Hanzo Auto is a workflow automation platform for building trigger-based

Hanzo Auto is a workflow automation platform for building trigger-based

Base URLhttps://auto.hanzo.ai
Version1.0.0
Operations69
GuideHanzo Auto API guide

Authentication

  • BearerAuth — HTTP bearer

All Hanzo APIs share one bearer credential and common error and pagination conventions. See API conventions.

curl -H "Authorization: Bearer $HANZO_API_KEY" https://auto.hanzo.ai

Endpoints

ai-providers

MethodEndpointDescription
GET/v1/auto/ai-providersList configured AI providers
POST/v1/auto/ai-providersAdd or update an AI provider
DELETE/v1/auto/ai-providers/{provider}Delete an AI provider

api-keys

MethodEndpointDescription
GET/v1/auto/api-keysList API keys (EE)
POST/v1/auto/api-keysCreate an API key (EE)
DELETE/v1/auto/api-keys/{id}Delete an API key (EE)

app-connections

MethodEndpointDescription
GET/v1/auto/app-connectionsList app connections
POST/v1/auto/app-connectionsUpsert an app connection
POST/v1/auto/app-connections/{id}Update an app connection
DELETE/v1/auto/app-connections/{id}Delete an app connection

audit-events

MethodEndpointDescription
GET/v1/auto/audit-eventsList audit log events (EE)

authentication

MethodEndpointDescription
POST/v1/auto/authentication/sign-upSign up a new user
POST/v1/auto/authentication/sign-inSign in with credentials

fields

MethodEndpointDescription
GET/v1/auto/fieldsList fields for a table
POST/v1/auto/fieldsCreate a field in a table

flags

MethodEndpointDescription
GET/v1/auto/flagsGet feature flags and configuration

flow-runs

MethodEndpointDescription
GET/v1/auto/flow-runsList flow runs
GET/v1/auto/flow-runs/{id}Get a flow run by id
POST/v1/auto/flow-runs/{id}/requests/{requestId}Resume a paused flow run with human input
POST/v1/auto/flow-runs/{id}/retryRetry a failed flow run

flows

MethodEndpointDescription
GET/v1/auto/flowsList flows
POST/v1/auto/flowsCreate a flow
GET/v1/auto/flows/countCount flows
GET/v1/auto/flows/{id}Get a flow by id
POST/v1/auto/flows/{id}Apply an operation to a flow
DELETE/v1/auto/flows/{id}Delete a flow
GET/v1/auto/flows/{id}/templateExport flow as template

folders

MethodEndpointDescription
GET/v1/auto/foldersList folders
POST/v1/auto/foldersCreate a folder
GET/v1/auto/folders/{id}Get a folder by id
POST/v1/auto/folders/{id}Update a folder
DELETE/v1/auto/folders/{id}Delete a folder

git-repos

MethodEndpointDescription
GET/v1/auto/git-reposList connected git repos (EE)
POST/v1/auto/git-reposConnect a git repo for sync (EE)

global-connections

MethodEndpointDescription
GET/v1/auto/global-connectionsList platform-wide connections (EE)

health

MethodEndpointDescription
GET/v1/auto/healthHealth check
GET/v1/auto/docsGet auto-generated OpenAPI documentation

mcp

MethodEndpointDescription
GET/v1/auto/projects/{projectId}/mcp-serverGet MCP server configuration for a project

pieces

MethodEndpointDescription
GET/v1/auto/piecesList available pieces
GET/v1/auto/pieces/categoriesList piece categories
GET/v1/auto/pieces/versionsList available versions of a piece
POST/v1/auto/pieces/optionsGet dynamic property options for a piece action/trigger
GET/v1/auto/pieces/{name}Get piece metadata by name

platform

MethodEndpointDescription
GET/v1/auto/platforms/{id}Get platform settings
POST/v1/auto/platforms/{id}Update platform settings

project-members

MethodEndpointDescription
GET/v1/auto/project-membersList project members (EE)

project-roles

MethodEndpointDescription
GET/v1/auto/project-rolesList project roles (EE)

projects

MethodEndpointDescription
GET/v1/auto/projectsList projects
GET/v1/auto/projects/{id}Get a project by id
POST/v1/auto/projects/{id}Update project settings

records

MethodEndpointDescription
GET/v1/auto/recordsList records in a table
POST/v1/auto/recordsCreate a record

sample-data

MethodEndpointDescription
GET/v1/auto/sample-dataGet sample data for a flow step

store-entries

MethodEndpointDescription
GET/v1/auto/store-entriesList store entries
POST/v1/auto/store-entriesCreate or update a store entry
GET/v1/auto/store-entries/{key}Get a store entry by key
DELETE/v1/auto/store-entries/{key}Delete a store entry

tables

MethodEndpointDescription
GET/v1/auto/tablesList tables
POST/v1/auto/tablesCreate a table

templates

MethodEndpointDescription
GET/v1/auto/templatesList flow templates

todos

MethodEndpointDescription
GET/v1/auto/todosList todos

triggers

MethodEndpointDescription
GET/v1/auto/trigger-eventsList trigger events for a flow
POST/v1/auto/test-triggerTest a trigger and get sample data
GET/v1/auto/trigger-runsList trigger run history

user-invitations

MethodEndpointDescription
GET/v1/auto/user-invitationsList pending invitations
POST/v1/auto/user-invitationsInvite a user to a project

users

MethodEndpointDescription
GET/v1/auto/usersList platform users

webhooks

MethodEndpointDescription
POST/v1/auto/webhooks/{flowId}Receive incoming webhook for a flow trigger
POST/v1/auto/webhooks/{flowId}/syncReceive webhook and wait for flow run result

Hanzo Auto API guide · All Hanzo APIs · OpenAPI spec

How is this guide?

On this page